API referenceBlocks
Blocks Summary By Network
Last updated
Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.
Path Parameters
network*string
Network to address. mainnet and finney are the same network, as are testnet and test.
Value in
- "finney"
- "mainnet"
- "test"
- "testnet"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/finney/blocks/summary"{ "data": { "author_concentration": { "entropy": 0.5, "entropy_normalized": 0.5, "gini": 0.5, "hhi": 0.5, "hhi_normalized": 0.5, "holders": 1, "nakamoto_coefficient": 1, "top_10pct_share": 0.5, "top_1pct_share": 0.5, "top_20pct_share": 0.5, "top_5pct_share": 0.5, "total": 1 }, "block_count": 5000000, "block_time": { "count": 1, "max_ms": 1, "mean_ms": 1, "min_ms": 1, "p50_ms": 1, "p90_ms": 1 }, "distinct_authors": 1, "distinct_spec_versions": 1, "first_block": 5000000, "first_observed_at": "2026-06-01T00:00:00.000Z", "last_block": 5000000, "last_observed_at": "2026-06-01T00:00:00.000Z", "latest_spec_version": 1, "schema_version": 1, "throughput": { "max_extrinsics_in_block": 5000000, "mean_events_per_block": 5000000, "mean_extrinsics_per_block": 5000000, "total_events": 1, "total_extrinsics": 1 } }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}